package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyorder.ElderlyServiceOrderPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyorder.ElderlyServiceOrderRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyorder.ElderlyServiceOrderSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyorder.excel.ElderlyServiceOrderImportExcelVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyServiceOrderDO;

import javax.validation.Valid;
import java.util.List;

public interface ElderlyServiceOrderService {

    Long create(@Valid ElderlyServiceOrderSaveReqVO createReqVO);

    void update(@Valid ElderlyServiceOrderSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyServiceOrderDO get(Long id);

    PageResult<ElderlyServiceOrderRespVO> getPage(ElderlyServiceOrderPageReqVO pageReqVO);

    /**
     * 导入服务工单（按列表列）
     */
    void importExcel(List<ElderlyServiceOrderImportExcelVO> list, Long tenantId);

    /**
     * 导出列表（按列表列）
     */
    List<ElderlyServiceOrderRespVO> exportList(ElderlyServiceOrderPageReqVO pageReqVO);
}

